unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, PathFunctions;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    txtWinDir: TEdit;
    txtSysDir: TEdit;
    Label2: TLabel;
    txtTempDir: TEdit;
    Label3: TLabel;
    Button1: TButton;
    txtTempFile: TEdit;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
  txtWinDir.Text := GetWinDir();
  txtSysDir.Text := GetSysDir();
  txtTempDir.Text := GetTempDir();
  txtTempFile.Text := GetTempFile();
end;

end.
